package com.gic.plug.web.vo.goods;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class CategoryVO implements Serializable {

    private static final long serialVersionUID = -8126896401928702304L;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long specCategoryId;

    /**
     * 类目名称
     */
    private String specCategoryName;

    /**
     * 类目code
     */
    private String specCategoryCode;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 0未删除 1删除
     */
    private Integer deleteFlag;

    /**
     * 关联商品域id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsDomainId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 关联品类组的id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long specCategoryGroupId;
    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 关联将来统一的品类id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long gicCategoryId;

    /**
     * 关联将来统一的品类code
     */
    private String gicCategoryCode;

    /**
     * 关联将来统一的品类id
     */
    private String gicCategoryName;

    /**
     * 是否是传入父品类的子类
     */
    private Boolean isSelected;

    /**
     *  ture代表有没有子类 false代表有
     */
    private Boolean nextChild;

    public Long getSpecCategoryId() {
        return specCategoryId;
    }

    public void setSpecCategoryId(Long specCategoryId) {
        this.specCategoryId = specCategoryId;
    }

    public String getSpecCategoryName() {
        return specCategoryName;
    }

    public void setSpecCategoryName(String specCategoryName) {
        this.specCategoryName = specCategoryName;
    }

    public String getSpecCategoryCode() {
        return specCategoryCode;
    }

    public void setSpecCategoryCode(String specCategoryCode) {
        this.specCategoryCode = specCategoryCode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Long getGoodsDomainId() {
        return goodsDomainId;
    }

    public void setGoodsDomainId(Long goodsDomainId) {
        this.goodsDomainId = goodsDomainId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Long getSpecCategoryGroupId() {
        return specCategoryGroupId;
    }

    public void setSpecCategoryGroupId(Long specCategoryGroupId) {
        this.specCategoryGroupId = specCategoryGroupId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getGicCategoryId() {
        return gicCategoryId;
    }

    public void setGicCategoryId(Long gicCategoryId) {
        this.gicCategoryId = gicCategoryId;
    }

    public String getGicCategoryCode() {
        return gicCategoryCode;
    }

    public void setGicCategoryCode(String gicCategoryCode) {
        this.gicCategoryCode = gicCategoryCode;
    }

    public String getGicCategoryName() {
        return gicCategoryName;
    }

    public void setGicCategoryName(String gicCategoryName) {
        this.gicCategoryName = gicCategoryName;
    }

    public Boolean getSelected() {
        return isSelected;
    }

    public void setSelected(Boolean selected) {
        isSelected = selected;
    }


    public Boolean getNextChild() {
        return nextChild;
    }

    public void setNextChild(Boolean nextChild) {
        this.nextChild = nextChild;
    }
}
