package com.gic.plug.web.vo.goods;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @author xub
 * @ClassName: GoodsCordVO
 * @Description: 商品分组表
 * @date 2019/8/29 上午10:16
 */
public class GoodsCordVO {
    /**
     * 主键ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long specCordId;
    /**
     * 商户ID
     */
    private Integer enterpriseId;
    /**
     * 域ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsDomainId;
    /**
     * 分类名称
     */
    private String specCordName;
    /**
     * 分类code
     */
    private String specCordCode;
    /**
     * 父级分类ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long specParentId;
    /**
     * 分类ID链 格式: _ID_ID_..父级ID_自身ID_
     */
    private String specTagChain;
    /**
     * 是否叶子节点 false:不是叶子节点 true:是叶子节点
     */
    private Boolean leafNodeFlag;

    /**
     * 是否在小程序上显示 0否 1是
     */
    private Integer displayAppFlag;
    /**
     * 排序
     */
    private Integer sort;


    public Long getSpecCordId() {
        return specCordId;
    }

    public void setSpecCordId(Long specCordId) {
        this.specCordId = specCordId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getGoodsDomainId() {
        return goodsDomainId;
    }

    public void setGoodsDomainId(Long goodsDomainId) {
        this.goodsDomainId = goodsDomainId;
    }

    public String getSpecCordName() {
        return specCordName;
    }

    public void setSpecCordName(String specCordName) {
        this.specCordName = specCordName;
    }

    public String getSpecCordCode() {
        return specCordCode;
    }

    public void setSpecCordCode(String specCordCode) {
        this.specCordCode = specCordCode;
    }

    public Long getSpecParentId() {
        return specParentId;
    }

    public void setSpecParentId(Long specParentId) {
        this.specParentId = specParentId;
    }

    public String getSpecTagChain() {
        return specTagChain;
    }

    public void setSpecTagChain(String specTagChain) {
        this.specTagChain = specTagChain;
    }

    public Boolean getLeafNodeFlag() {
        return leafNodeFlag;
    }

    public void setLeafNodeFlag(Boolean leafNodeFlag) {
        this.leafNodeFlag = leafNodeFlag;
    }

    public Integer getDisplayAppFlag() {
        return displayAppFlag;
    }

    public void setDisplayAppFlag(Integer displayAppFlag) {
        this.displayAppFlag = displayAppFlag;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

}