package com.gic.plug.web.vo.goods;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class GoodsRightsSelectorVO {
    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsRightsSelectorId;

    /**
     * 企业id
     */
    private Integer enterpriseId;

    /**
     * 是否删除
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 搜索时使用的值
     */
    private String goodsRightsSearchValue;

    /**
     * 默认状态回显的值
     */
    private String goodsRightsSearchText;

    /**
     * 编辑回显的值
     */
    private String goodsRightSearchEdit;

    /**
     * 权限内的domainid{"channelCode":[domainId1,domainId2]}
     */
    private String goodsRightsDomains;

    /**
     * 权限内的brandId{"channelCode_domainId":[brandId1,brandId2]}
     */
    private String goodsRightsBrands;

    /**
     * 是否有商品权限  0没有 1有
     */
    private Integer hasRights;

    private Long findCount;

    public Long getGoodsRightsSelectorId() {
        return goodsRightsSelectorId;
    }

    public void setGoodsRightsSelectorId(Long goodsRightsSelectorId) {
        this.goodsRightsSelectorId = goodsRightsSelectorId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getGoodsRightsSearchValue() {
        return goodsRightsSearchValue;
    }

    public void setGoodsRightsSearchValue(String goodsRightsSearchValue) {
        this.goodsRightsSearchValue = goodsRightsSearchValue;
    }

    public String getGoodsRightsSearchText() {
        return goodsRightsSearchText;
    }

    public void setGoodsRightsSearchText(String goodsRightsSearchText) {
        this.goodsRightsSearchText = goodsRightsSearchText;
    }

    public String getGoodsRightSearchEdit() {
        return goodsRightSearchEdit;
    }

    public void setGoodsRightSearchEdit(String goodsRightSearchEdit) {
        this.goodsRightSearchEdit = goodsRightSearchEdit;
    }

    public String getGoodsRightsDomains() {
        return goodsRightsDomains;
    }

    public void setGoodsRightsDomains(String goodsRightsDomains) {
        this.goodsRightsDomains = goodsRightsDomains;
    }

    public String getGoodsRightsBrands() {
        return goodsRightsBrands;
    }

    public void setGoodsRightsBrands(String goodsRightsBrands) {
        this.goodsRightsBrands = goodsRightsBrands;
    }

    public Integer getHasRights() {
        return hasRights;
    }

    public void setHasRights(Integer hasRights) {
        this.hasRights = hasRights;
    }

    public Long getFindCount() {
        return findCount;
    }

    public void setFindCount(Long findCount) {
        this.findCount = findCount;
    }
}
