package com.gic.plug.web.vo.goods;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
  * @ClassName: GoodsTagVO
  * @Description: 标签VO
  * @author xub
  * @date 2019/8/29 上午10:06
  */
public class GoodsTagVO {
    /**
     * 标签ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long specTagId;
    /**
     * 企业ID
     */
    private Integer enterpriseId;
    /**
     * 域ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsDomainId;

    /**
     * 标签名称
     */
    private String specTagName;
    /**
     * 标签code
     */
    private String specTagCode;

    public Long getSpecTagId() {
        return specTagId;
    }

    public void setSpecTagId(Long specTagId) {
        this.specTagId = specTagId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getGoodsDomainId() {
        return goodsDomainId;
    }

    public void setGoodsDomainId(Long goodsDomainId) {
        this.goodsDomainId = goodsDomainId;
    }

    public String getSpecTagName() {
        return specTagName;
    }

    public void setSpecTagName(String specTagName) {
        this.specTagName = specTagName;
    }

    public String getSpecTagCode() {
        return specTagCode;
    }

    public void setSpecTagCode(String specTagCode) {
        this.specTagCode = specTagCode;
    }

}