package com.gic.plug.web.vo.goods;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.List;

/**
 * @author xub
 * @ClassName: GoodsSkuDTO
 * @Description: sku部分商品查询
 * @date 2019/9/16 下午2:01
 */
public class GoodsVO {


    /**
     * 商品ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 域ID
     */
    private Long goodsDomainId;
    /**
     * 货号
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private String goodsCode;

    /**
     * SKU  信息
     */
    private List<SkuVO>  skuVOList;


    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Long getGoodsDomainId() {
        return goodsDomainId;
    }

    public void setGoodsDomainId(Long goodsDomainId) {
        this.goodsDomainId = goodsDomainId;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public List<SkuVO> getSkuVOList() {
        return skuVOList;
    }

    public void setSkuVOList(List<SkuVO> skuVOList) {
        this.skuVOList = skuVOList;
    }

    public static class SkuVO {
        /**
         * ID
         */
        @JsonFormat(shape = JsonFormat.Shape.STRING)
        private Long goodsSkuId;
        /**
         * sku数据
         */
        private String goodsSkuInfo;
        /**
         * code
         */
        private String goodsSkuCode;

        public Long getGoodsSkuId() {
            return goodsSkuId;
        }

        public void setGoodsSkuId(Long goodsSkuId) {
            this.goodsSkuId = goodsSkuId;
        }

        public String getGoodsSkuInfo() {
            return goodsSkuInfo;
        }

        public void setGoodsSkuInfo(String goodsSkuInfo) {
            this.goodsSkuInfo = goodsSkuInfo;
        }

        public String getGoodsSkuCode() {
            return goodsSkuCode;
        }

        public void setGoodsSkuCode(String goodsSkuCode) {
            this.goodsSkuCode = goodsSkuCode;
        }
    }

}